Save ITC-04 Job Work Challans as a Draft
PUT
https://apisandbox.whitebooks.in/itc04/retsaveUsed to save entire ITC04 invoices.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGSTIN number
Example: "12AVVVH1234HA1X"
fpstringoptionalFinancial Year
Example: "032019"
m2jwarray<object>optionalArray items:
flagstringoptionalAction to be taken
Example: "N"
jw_stcdstringoptionalRecipient state code
Example: "18"
chnumstringoptionalch number
Example: "A4"
chdtstringoptionalch date
Example: "12-09-2017"
itmsarray<object>optionalArray items:
goods_tystringoptionalGoods Type
Example: "5a"
descstringoptionalGoods description
Example: "fvsdfag"
uqcstringoptionaluqc
Example: "BKL"
qtynumberoptionalQuantity
Example: 11
valnumberoptionalvalue of goods
Example: 31231
tx_cnumberoptionalTotal CGST Value
Example: 0
tx_snumberoptionalTotal SGST Value
Example: 0
tx_inumberoptionalTotal IGST Value
Example: 12
tx_csnumberoptionalTotal cess Value
Example: 0
table5Aarray<object>optionalArray items:
ctinstringoptionalCTIN number
Example: "12AVVVH1234HA1X"
jw_stcdstringoptionalRecipient state code
Example: "27"
flagstringoptionalAction to be taken
Example: "N"
itemsarray<object>optionalArray items:
o_chnumstringoptionalOriginal Challan No
Example: "N1"
o_chdtstringoptionalOriginal Challan Date
Example: "12-07-2017"
jw2_chnumstringoptionalFresh Challan No
Example: "12"
jw2_chdtstringoptionalFresh Challan Date
Example: "12-07-2017"
nat_jwstringoptionalNature of Job Done
Example: "afgadf"
descstringoptionalGoods description
Example: "fvsdfag"
uqcstringoptionaluqc
Example: "BKL"
qtynumberoptionalQuantity
Example: 11
lwqtynumberoptionalQuantity
Example: 4
lwuqcstringoptionalUQC
Example: "BAG"
table5Barray<object>optionalArray items:
ctinstringoptionalCTIN number
Example: "12AVVVH1234HA1X"
jw_stcdstringoptionalRecipient state code
Example: "27"
flagstringoptionalAction to be taken
Example: "D"
itemsarray<object>optionalArray items:
o_chnumstringoptionalOriginal Challan No
Example: "N2"
o_chdtstringoptionalOriginal Challan Date
Example: "12-07-2017"
jw2_chnumstringoptionalFresh Challan No
Example: "12"
jw2_chdtstringoptionalFresh Challan Date
Example: "12-07-2017"
nat_jwstringoptionalNature of Job Done
Example: "fgafgdf"
descstringoptionalGoods description
Example: "fvsdfag"
uqcstringoptionaluqc
Example: "BKL"
qtynumberoptionalQuantity
Example: 11
lwqtynumberoptionalQuantity
Example: 4
lwuqcstringoptionalUQC
Example: "BAG"
table5Carray<object>optionalArray items:
ctinstringoptionalGSTIN number
Example: "12AVVVH1234HA1X"
jw_stcdstringoptionalRecipient state code
Example: "27"
flagstringoptionalAction to be taken
Example: "D"
itemsarray<object>optionalArray items:
o_chnumstringoptionalOriginal Challan No
Example: "A4"
o_chdtstringoptionalOriginal Challan Date
Example: "12-07-2017"
inumstringoptionalFresh Invoice No
Example: "24"
idtstringoptionalFresh Invocie Date
Example: "12-07-2017"
nat_jwstringoptionalNature of Job Done
Example: "afsdfd"
descstringoptionalGoods description
Example: "fvsdfag"
uqcstringoptionaluqc
Example: "BKL"
qtynumberoptionalQuantity
Example: 11
lwqtynumberoptionalQuantity
Example: 4
lwuqcstringoptionalUQC
Example: "BAG"
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/itc04/retsave. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save ITC04 data (PUT
/itc04/retsave), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to save entire ITC04 invoices.
No example available.